Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl2/pages.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions | Variables
pages.c File Reference
`#include "fcintl.h"`
`#include "log.h"`
`#include "fc_types.h"`
`#include "version.h"`
`#include "connectdlg_common.h"`
`#include "chatline.h"`
`#include "colors.h"`
`#include "connectdlg.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_tilespec.h"`
`#include "mapctrl.h"`
`#include "mapview.h"`
`#include "menu.h"`
`#include "messagewin.h"`
`#include "optiondlg.h"`
`#include "themespec.h"`
`#include "widget.h"`
`#include "pages.h"`

Go to the source code of this file.

## Functions

static void | popdown_start_menu (void)
static int | start_new_game_callback (struct widget *pwidget)
static int | load_game_callback (struct widget *pwidget)
static int | join_game_callback (struct widget *pwidget)
static int | servers_callback (struct widget *pwidget)
static int | options_callback (struct widget *pwidget)
static int | quit_callback (struct widget *pwidget)
static void | show_main_page (void)
void | real_set_client_page (enum client_pages page)
void | set_rulesets (int num_rulesets, char **rulesets)
enum client_pages | get_current_client_page (void)
void | update_start_page (void)

## Variables

static enum client_pages | old_page = PAGE_MAIN
static struct small_dialog * | start_menu = NULL

## Function Documentation

## ◆ get_current_client_page()

enum client_pages get_current_client_page | ( | void |  | ) |

Returns current client page

Definition at line 450 of file pages.c.

## ◆ join_game_callback()

static int join_game_callback | ( | struct widget * | pwidget | ) |

static

User interacted with the Join Game button.

Definition at line 88 of file pages.c.

Referenced by show_main_page().

## ◆ load_game_callback()

static int load_game_callback | ( | struct widget * | pwidget | ) |

static

User interacted with the Load Game button.

Definition at line 76 of file pages.c.

Referenced by show_main_page().

## ◆ options_callback()

static int options_callback | ( | struct widget * | pwidget | ) |

static

User interacted with the Options button - open options dialog.

Definition at line 115 of file pages.c.

Referenced by show_main_page().

## ◆ popdown_start_menu()

static void popdown_start_menu | ( | void |  | ) |

static

Close start menu

Definition at line 367 of file pages.c.

Referenced by options_callback(), quit_callback(), real_set_client_page(), servers_callback(), and start_new_game_callback().

## ◆ quit_callback()

static int quit_callback | ( | struct widget * | pwidget | ) |

static

User interacted with the Quit button.

Definition at line 129 of file pages.c.

Referenced by show_main_page().

## ◆ real_set_client_page()

void real_set_client_page | ( | enum client_pages | page | ) |

Sets the "page" that the client should show. See documentation in pages_g.h.

Definition at line 385 of file pages.c.

## ◆ servers_callback()

static int servers_callback | ( | struct widget * | pwidget | ) |

static

User interacted with the Join Pubserver button - open connection dialog.

Definition at line 100 of file pages.c.

Referenced by show_main_page().

## ◆ set_rulesets()

void set_rulesets | ( | int | num_rulesets,
|  | char ** | rulesets
| ) |  |

Set the list of available rulesets. The default ruleset should be "default", and if the user changes this then set_ruleset() should be called.

Definition at line 442 of file pages.c.

## ◆ show_main_page()

static void show_main_page | ( | void |  | ) |

static

Update view to show main page.

Definition at line 141 of file pages.c.

Referenced by real_set_client_page().

## ◆ start_new_game_callback()

static int start_new_game_callback | ( | struct widget * | pwidget | ) |

static

User interacted with the Start New Game button.

Definition at line 58 of file pages.c.

## ◆ update_start_page()

void update_start_page | ( | void |  | ) |

Update the start page.

Definition at line 458 of file pages.c.

## Variable Documentation

## ◆ old_page

enum client_pages old_page = PAGE_MAIN

static

Definition at line 46 of file pages.c.

Referenced by get_current_client_page(), real_set_client_page(), and real_set_client_page().

## ◆ start_menu

struct small_dialog* start_menu = NULL

static

Definition at line 51 of file pages.c.

Referenced by popdown_start_menu(), and show_main_page().